Skip to main content
GET
/
b2b
/
portfolio
/
{user}
/
summary
Get Portfolio Summary
curl --request GET \
  --url https://nexus.kraken.com/b2b/portfolio/{user}/summary \
  --header 'API-Key: <api-key>' \
  --header 'API-Sign: <api-key>'
{
  "result": {
    "timestamp": "2023-11-07T05:31:56Z",
    "currency": "<string>",
    "portfolio_value": "1.23",
    "withheld_value": "1.23",
    "open_orders": "1.23",
    "available_balance": "1.23",
    "lots_upnl": "1.23",
    "cost_basis": "1.23",
    "current_day_pnl": {
      "since": "2023-11-07T05:31:56Z",
      "pnl": "1.23"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

API-Key
string
header
required

The "API-Key" header should contain your API key.

API-Sign
string
header
required

Authenticated requests should be signed with the "API-Sign" header, using a signature generated with your private key, nonce, encoded payload, and URI path.

Headers

Payward-Version
enum<string>
default:2025-04-15

The target version of the Embed API to use. The API version name is based on the date when the API version was released. For example, the API version 2025-04-15 was released on April 15, 2025.

Available options:
2025-04-15

Path Parameters

user
string
required

Internet International Bank Account Number (IIBAN)

Required string length: 14 - 42

Query Parameters

quote
string
default:USD

If provided, shows values as the provided asset.

Required string length: 3 - 16
Example:

"BTC"

include[current_day_pnl]
boolean
default:false

Include the current day pnl

Response

Response

result
object